import {
	isIphone
} from './common.js'
// 获取设备的信息
const systemInfo = wx.getWindowInfo()
let statusBarHeight;
// 获取小程序启动时的参数     
var launchOptions = wx.getLaunchOptionsSync();
if (launchOptions.scene != 1154) { //非单页模式进入此处--------单页模式下  systemInfo找不到           
	statusBarHeight = systemInfo.statusBarHeight
} else {
	// 单页模式
	statusBarHeight = 30
}
// const {statusBarHeight} = systemInfo;
const menu = wx.getMenuButtonBoundingClientRect();

export const heightPool = {
	capsuleHeight: menu.height,
	capsuleWidth: menu.width,
	capsuleTop: menu.top,
	capsuleLeft: menu.left,
	capsuleRight: menu.right,
	capsuleBottom: menu.bottom,
	statusTip: statusBarHeight,
	tabBottom: isIphone() ? 40 : 0,
};